[Unit]
Description=Wait for Network to be Configured by Netplan
DefaultDependencies=no
Conflicts=shutdown.target
Requires=netplan-apply.service
After=netplan-apply.service
Before=network-online.target shutdown.target

[Service]
Type=oneshot
ExecStart=/lib/systemd/systemd-networkd-wait-online
ExecStart=-/usr/lib/eole/set_linkspeed
RemainAfterExit=yes

[Install]
WantedBy=network-online.target
